# wp2x configuration file for producing HTML
#
# Create 21/07/93 by mcr@physics.carleton.ca
#
# Note: a lot of this is based on the HTML+ spec!
#   most clients don't understand this!
#

typeout="HTML descriptor file for WP2X by Michael Richardson\n"

# At the beginning of the file, we claim to be using article style.

BEGIN="<HTML>
<HEAD>
<!-- This file was created by the WP2X program, using an HTML 
descriptor file (Version 1) written by Michael Richardson
Do not expect everything to be converted perfectly.  -->
</HEAD>
<BODY>
<A HREF=\"Contents.html\">Return to contents page</A><P>
"

# At the end of the file, we end the document, sign it.
END="<P>_______________________________<P>
<A HREF=\"Contents.html\">Return to contents page</A><P>
</BODY>

"

# How to make a one-line comment in HTML.
Comment="<!-- "
comment="-->"

# Protect percent signs and other magic symbols.
'<'="&lt;"
'&'="&#38;"


# PageNo="\\folio{}"           # insert page number
# RomanPage="%\n%% Set roman page number %1\n"    # set roman numerals
# ArabicPage="%\n%% Set arabic page number %1\n"  # set arabic numerals

HSpace=" "              # Unbreakable space

Tab=" "            			# Tabs mean nothing
HPg="\n<!-- HardPage --><p>\n"    		# Do Hard pages have any meaning in HTML?
CondEOP="\n<!-- Conditional EOP --><p>\n"

HRt="\n<p>\n\n"                # Hard return terminates paragraph
SRt="\n"                     # Soft return is a newline

#-="-"                       # Hyphens are ignored, since wrapping is up the clients.
#--="-\n"                    # Hyphen at the end of a line gets a %
=="-"                        # Nonbreaking hyphen
#\-="-"                       # Discretionary hyphen XXX
#\--="-\n"                    # Discretionary hyphen at the end of the line XXX
NoHyphWord=""  	             # Inhibit hyphenation of this word

# Margins are left as comments, since you shouldn't change margins
# willy-nilly in HTML.
Marg="<!-- left margin %1, right margin %2 -->\n"
TopMarg="<!-- top margin %1 -->\n"
PageLength="<!-- page length %1 -->\n"

# Line spacing changes are treated by setting \baselinestretch and then
# calling \normalbaselines to let the change take effect.

SS=""
1.5S=""
DS=""
TS=""
LS=""
LPI="<!-- Change to %1 lines per inch -->\n"

ExtraLarge="<H1>"
extralarge="</H1>"
VeryLarge="<H2>"
verylarge="</H2>"
Large="<H3>"
large="</H3>"
Small="<H4>"
small="</H4>"
Fine="<H5>"
fine="</H5>"

Bold="\n<B> "                  # Boldface
bold="</B>\n"
Und="\n<em u> "                   # Underlining is in "emphasized"
und="</em>\n"                   # with italic correction stuck in always.
Red="<em role=\"redline\"> "	             # Redline XXX
red="</em>"
Strike="" 	 	     # Strikeout XXX
strike=""
Italics="<em i>"
italics="</em>"
Rev=""            	# Reverse video XXX
rev=""
Over=""               	# overprinting not supported XXX
over=""
Sup="<em sup>"     		# fake superscript HTML doesn't do this...
sup="</em>"
Sub="<em sub>"     		# fake subscript
sub="</em>"

# UpHalfLine, DownHalfLine, AdvanceToHalf -- undefined

Indent=""        # 
indent=""
DIndent="<BLOCKQUOTE>"          # is not a perfect solution, but it's a start.
dindent="</BLOCKQUOTE>"
MarginRelease="<!-- Margin release, move back %1 characters>\n"

Center="<H1>"   	# centering = headings!
center="</H1>\n"
CenterHere="<!-- centerhere -->\n" # Not supported
centerhere="<!-- centerhere -->\n"

Align="\n<!-- alignstart><LI -->"             # could work... but
			# need to insert <LI> before each line...
align="<!-- alignend -->\n"
FlushRight="\n<!-- begin{flushright} -->\n"
flushright="\n<!-- end{flushright} -->\n"

# Math, math, MathCalc, MathCalcColumn, SubTtl, IsSubTtl, Ttl, IsTtl, GrandTtl
# Col, col -- undefined

Fn="\n<!-- begin{footnote} -->\n"     # begin footnote - should be hypertext link!
fn="\n<!-- end{footnote} -->\n" 	
SetFn#="\n<!-- Set Footnote number to %1 -->\n" # hypertext doesn't have numbers.
En="\n<!-- begin{endnote} -->\n"     
en="\n<!-- end{endnote} -->\n"
FNote#=""  
ENote#=""   

# TableMarker -- undefined

BeginTabs="<!-- Set tabs at -->"
SetTab="<!-- tab: %1 -->"
SetTabCenter="<!-- center:%1c -->"
SetTabRight="<!-- right:%1r -->"
SetTabDecimal="<!-- decimal:%1d -->"
EndTabs=""

Hyph=""        		# Allow hyphenation
hyph=""     		# Disable hyphenation
Just=""           	# Right justify XXX
just="" 		# Ragged right XXX
Wid="" 			# Widow protection
wid="" 			# Allow widows

# HZone, DAlign -- undefined

# These guys are left as comments, since you're not supposed to do
# them in LaTeX.
#Header="<H2>"
#header="</H2>"
#Footer=""
#footer=""
Supp="\n<!-- Suppress headers and footers on this page -->\n"
CtrPg="\n<!-- Center this page vertically -->\n"
SetFont="\n<!-- Change to %1 pitch, font %2 -->\n"
SetBin="\n<!-- Change to paper bin %1 -->\n"

# Same reason for these.
PN0="\n<!-- no page numbers -->\n"
PN1="\n<!-- page numbers in upper left corner -->\n"
PN2="\n<!-- page numbers top center -->\n"
PN3="\n<!-- page numbers in upper right corner -->\n"
PN4="\n<!-- page numbers in alternating even/odd upper corners -->\n"
PN5="\n<!-- page numbers in bottom left corner -->\n"
PN6="\n<!-- page numbers bottom center -->\n"
PN7="\n<!-- page numbers in bottom right corner -->\n"
PN8="\n<!-- page numbers in alternating even/odd bottom corners -->\n"


